<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Hausmeister\Raumbelegung\PdfListen\TnListen\PrintTnListen;

class HmPrintTnListenBySettingsController extends \Kufer\KuferTools\Basis\PdfListen\TnListen\PrintTnListen\PrintTnListenBySettingsController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HmPrintTnListenBySettingsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return HmPrintTnListenBySettingsUseCase::getToolId();
  }
}